%undefine _package_note_flags

Summary:       Apache Portable Runtime library
Name:          apr
Version:       1.7.4
Release:       2%{?dist}
License:       ASL 2.0 and BSD with advertising and ISC and BSD
URL:           https://apr.apache.org/
Source0:       https://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2

BuildRequires: gcc, make, autoconf, libtool, libuuid-devel, python3

%description
The mission of the Apache Portable Runtime (APR) project is to
create and maintain software libraries that provide a predictable
and consistent interface to underlying platform-specific implementations. 

%package       devel
Summary:       APR library development kit
Requires:      apr = %{version}-%{release}, pkgconfig

%description   devel
This package provides header files and dynamic libraries
for developers of apr apps.

%prep
%autosetup -p1

%build
%global subver 1
./buildconf

%configure \
        --disable-static \
        --includedir=%{_includedir}/apr-%{subver} \
        --with-installbuilddir=%{_libdir}/apr-%{subver}/build \
        --with-devrandom=/dev/urandom
%make_build

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}/%{_datadir}/aclocal
install -m644 build/find_apr.m4 %{buildroot}/%{_datadir}/aclocal

sed -ri '/^LIBS=/{s,-l(uuid|crypt) ,,g;s/  */ /g}' \
      %{buildroot}%{_bindir}/apr-%{subver}-config
sed -ri '/^Libs/{s,-l(uuid|crypt) ,,g}' \
      %{buildroot}%{_libdir}/pkgconfig/apr-%{subver}.pc

#find %{buildroot} -type f -name "*.la" -delete
rm -f %{buildroot}%{_libdir}/apr.exp
rm -f %{buildroot}%{_libdir}/libapr-*.a

%check
make check

%files
%license LICENSE
%doc CHANGES NOTICE README*
%{_libdir}/libapr-%{subver}.so.*

%files devel
%doc docs/APRDesign.html docs/canonical_filenames.html
%doc docs/incomplete_types docs/non_apr_programs
%{_bindir}/apr-%{subver}-config
%{_libdir}/libapr-%{subver}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libapr-1.la
%dir %{_libdir}/apr-%{subver}
%dir %{_libdir}/apr-%{subver}/build
%{_libdir}/apr-%{subver}/build/*
%dir %{_includedir}/apr-%{subver}
%{_includedir}/apr-%{subver}/*.h
%{_datadir}/aclocal/*.m4

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 1.7.4-1
- Upgrade to 1.7.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 5 2022 cunshunxia <cunshunxia@tencent.com> - 1.7.0-1
- initial build
